summaryrefslogtreecommitdiff
path: root/x11-terms
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-07 11:21:01 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-07 11:21:01 +0100
commit3828be21d22f4d522133337e24a7924b984c76cf (patch)
tree1969bf02b42d1b0b0af0b6f131968c3f139ed313 /x11-terms
parentf179dc54072950a16d71ee07145255369c16dd4d (diff)
x11-terms/xterm : import from portage tree, hack the ebuild around
Diffstat (limited to 'x11-terms')
-rw-r--r--x11-terms/xterm/Manifest1
-rw-r--r--x11-terms/xterm/xterm-327-r1710.ebuild91
2 files changed, 92 insertions, 0 deletions
diff --git a/x11-terms/xterm/Manifest b/x11-terms/xterm/Manifest
new file mode 100644
index 00000000..cc839b6b
--- /dev/null
+++ b/x11-terms/xterm/Manifest
@@ -0,0 +1 @@
+DIST xterm-327.tgz 1240131 SHA256 66fb2f6c35b342148f549c276b12a3aa3fb408e27ab6360ddec513e14376150b SHA512 d9d9f3b870fea8db9ae3c076a9d85152488b2d392b9b1e2e4ebbeded287ed4911f1f63e5e035d5b3793b2506b993125c6fca437393b435a28aeb519d76147672 WHIRLPOOL 44254647e9e6e331d198763c5d38738ebf56386e9c93ee65beaf15ad5d0eb2f75731498608e1e9d503e7d2355a0a456336bcaa4b1d16ab791961cfa404a9489d
diff --git a/x11-terms/xterm/xterm-327-r1710.ebuild b/x11-terms/xterm/xterm-327-r1710.ebuild
new file mode 100644
index 00000000..4ea1002d
--- /dev/null
+++ b/x11-terms/xterm/xterm-327-r1710.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils flag-o-matic multilib
+
+DESCRIPTION="Terminal Emulator for X Windows"
+HOMEPAGE="https://invisible-island.net/xterm/"
+SRC_URI="ftp://ftp.invisible-island.net/${PN}/${P}.tgz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+openpty toolbar truetype unicode Xaw3d xinerama"
+
+COMMON_DEPEND="kernel_linux? ( sys-libs/libutempter )
+ kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 sys-libs/libutempter ) )
+ >=sys-libs/ncurses-5.7-r7:0=
+ x11-apps/xmessage
+ x11-libs/libX11
+ x11-libs/libXaw
+ x11-libs/libXft
+ x11-libs/libxkbfile
+ x11-libs/libXmu
+ x11-libs/libXrender
+ x11-libs/libXt
+ unicode? ( x11-apps/luit )
+ Xaw3d? ( x11-libs/libXaw3d )
+ xinerama? ( x11-libs/libXinerama )"
+RDEPEND="${COMMON_DEPEND}
+ media-fonts/font-misc-misc
+ x11-apps/rgb"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ x11-proto/kbproto
+ x11-proto/xproto"
+
+DOCS=( README{,.i18n} ctlseqs.txt )
+
+pkg_setup() {
+ DEFAULTS_DIR="${EPREFIX}"/usr/share/X11/app-defaults
+}
+
+src_configure() {
+ # 454736
+ # Workaround for ncurses[tinfo] until upstream fixes their buildsystem using
+ # something sane like pkg-config or ncurses5-config and stops guessing libs
+ # Everything gets linked against ncurses anyways, so don't shout
+ append-libs $(pkg-config --libs ncurses)
+
+ econf \
+ --libdir="${EPREFIX}"/etc \
+ --disable-full-tgetent \
+ --with-app-defaults="${DEFAULTS_DIR}" \
+ --disable-setuid \
+ --disable-setgid \
+ --with-utempter \
+ --with-x \
+ $(use_with Xaw3d) \
+ $(use_with xinerama) \
+ --disable-imake \
+ --enable-256-color \
+ --enable-broken-osc \
+ --enable-broken-st \
+ --enable-exec-xterm \
+ $(use_enable truetype freetype) \
+ --enable-i18n \
+ --enable-load-vt-fonts \
+ --enable-logging \
+ $(use_enable openpty) \
+ $(use_enable toolbar) \
+ $(use_enable unicode mini-luit) \
+ $(use_enable unicode luit) \
+ --enable-wide-chars \
+ --enable-dabbrev \
+ --enable-warnings
+}
+
+src_install() {
+ default
+
+ # Fix permissions -- it grabs them from live system, and they can
+ # be suid or sgid like they were in pre-unix98 pty or pre-utempter days,
+ # respectively (#69510).
+ # (info from Thomas Dickey) - Donnie Berkholz <spyderous@gentoo.org>
+ fperms 0755 /usr/bin/xterm
+
+ # restore the navy blue
+ sed -i -e "s:blue2$:blue:" "${D}${DEFAULTS_DIR}"/XTerm-color || die
+}